/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorDiffXliffPleiadesToTranslationFragmentProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorDiffXliffPleiadesToTranslationFragmentProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている入力先ルート・フォルダを指定します。
     */
    private String fXliffdir;

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力先となる翻訳フラグメントファイル。
     */
    private String fTargetfile;

    /**
     * フィールド [isoutputadd]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * add を出力するかどうか。
     */
    private boolean fIsoutputadd = true;

    /**
     * フィールド [isoutputchange]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * change を出力するかどうか。
     */
    private boolean fIsoutputchange = true;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている入力先ルート・フォルダを指定します。
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XLIFFファイルが格納されている入力先ルート・フォルダを指定します。
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力先となる翻訳フラグメントファイル。
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力先となる翻訳フラグメントファイル。
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [isoutputadd]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * add を出力するかどうか。
     *
     * @param argIsoutputadd フィールド[isoutputadd]に格納したい値
     */
    public void setIsoutputadd(final boolean argIsoutputadd) {
        fIsoutputadd = argIsoutputadd;
    }

    /**
     * フィールド[isoutputadd]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * add を出力するかどうか。
     *
     * @return フィールド[isoutputadd]に格納されている値
     */
    public boolean getIsoutputadd() {
        return fIsoutputadd;
    }

    /**
     * フィールド [isoutputchange]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * change を出力するかどうか。
     *
     * @param argIsoutputchange フィールド[isoutputchange]に格納したい値
     */
    public void setIsoutputchange(final boolean argIsoutputchange) {
        fIsoutputchange = argIsoutputchange;
    }

    /**
     * フィールド[isoutputchange]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * change を出力するかどうか。
     *
     * @return フィールド[isoutputchange]に格納されている値
     */
    public boolean getIsoutputchange() {
        return fIsoutputchange;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorDiffXliffPleiadesToTranslationFragmentProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",isoutputadd=" + fIsoutputadd);
        buf.append(",isoutputchange=" + fIsoutputchange);
        buf.append("]");
        return buf.toString();
    }
}
